# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/seiko,43wvf1g.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Seiko Instruments Inc. 4.3" WVGA (800 x RGB x 480) TFT with Touch-Panel

maintainers:
  - Marco Franchi <marco.franchi@nxp.com>

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    const: sii,43wvf1g

  backlight: true
  port: true

  dvdd-supply:
    description: 3v3 digital regulator

  avdd-supply:
    description: 5v analog regulator

required:
  - compatible
  - dvdd-supply
  - avdd-supply

additionalProperties: false

examples:
  - |
    panel {
        compatible = "sii,43wvf1g";

        backlight = <&backlight_display>;
        dvdd-supply = <&reg_lcd_3v3>;
        avdd-supply = <&reg_lcd_5v>;
        port {
            panel_in: endpoint {
                remote-endpoint = <&display_out>;
            };
        };
    };

...
